"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BouncingText = void 0;

var React = _interopRequireWildcard(require("react"));

var _react2 = require("@emotion/react");

var _jsxRuntime = require("@emotion/react/jsx-runtime");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/* eslint-disable react/react-in-jsx-scope -- Unaware of jsxImportSource */

/** @jsxImportSource @emotion/react */
const BouncingText = ({
  duration = 1000,
  easingFunc = 'ease',
  delay = 0,
  children,
  ...props
}) => {
  const bounce = (0, _react2.keyframes)`
    from, 20%, 53%, 80%, to {
      transform: translate3d(0,0,0);
    }

    40%, 43% {
      transform: translate3d(0, -30px, 0);
    }

    70% {
      transform: translate3d(0, -15px, 0);
    }

    90% {
      transform: translate3d(0,-4px,0);
    }
  `;
  return (0, _jsxRuntime.jsx)("span", { ...props,
    css: (0, _react2.css)`
        display: inline-block;
        animation: ${bounce} ${`${duration}ms`} ${easingFunc} ${`${delay}ms`} infinite;
      `,
    children: children
  });
};

exports.BouncingText = BouncingText;